Get Reward
curl --request GET \
--url https://api.synctera.com/v1/rewards/{reward_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/rewards/{reward_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/rewards/{reward_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v1/rewards/{reward_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v1/rewards/{reward_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synctera.com/v1/rewards/{reward_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v1/rewards/{reward_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"account_id": "12943c51-e4ff-4e57-9558-08cab6b96364",
"amount": 1000,
"template_id": "64943c51-e4ff-4e57-9558-08cab6b96352",
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"description": "Referral Reward",
"id": "44943c51-e4ff-4e57-9558-08cab6b96321",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"subtype": "ACCOUNT_OPENING_BONUS",
"tenant": "abcdef_ghijkl",
"transaction_id": "11943c51-e4ff-4e57-9558-08cab6b96333",
"metadata": {},
"note": "Reduced account reward based on phone call with customer",
"derived_from_uuid": "55943c51-e4ff-4e57-9558-08cab6b96400",
"reward_category": "cashback:card:mcc",
"reward_config_id": "77943c51-e4ff-4e57-9558-08cab6b96600",
"reward_product_id": "66943c51-e4ff-4e57-9558-08cab6b96500"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Rewards
Get Reward
Get a reward by ID.
GET
/
rewards
/
{reward_id}
Get Reward
curl --request GET \
--url https://api.synctera.com/v1/rewards/{reward_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/rewards/{reward_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/rewards/{reward_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v1/rewards/{reward_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v1/rewards/{reward_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synctera.com/v1/rewards/{reward_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v1/rewards/{reward_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"account_id": "12943c51-e4ff-4e57-9558-08cab6b96364",
"amount": 1000,
"template_id": "64943c51-e4ff-4e57-9558-08cab6b96352",
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"description": "Referral Reward",
"id": "44943c51-e4ff-4e57-9558-08cab6b96321",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"subtype": "ACCOUNT_OPENING_BONUS",
"tenant": "abcdef_ghijkl",
"transaction_id": "11943c51-e4ff-4e57-9558-08cab6b96333",
"metadata": {},
"note": "Reduced account reward based on phone call with customer",
"derived_from_uuid": "55943c51-e4ff-4e57-9558-08cab6b96400",
"reward_category": "cashback:card:mcc",
"reward_config_id": "77943c51-e4ff-4e57-9558-08cab6b96600",
"reward_product_id": "66943c51-e4ff-4e57-9558-08cab6b96500"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Authorizations
Path Parameters
Response
Returned reward.
The ID of the reward template to use to create the reward. Values from the reward template will be used as defaults for the reward. Note that the reward template may have been updated since the reward was created and that such subsequent updates to the reward template do not affect existing rewards.
Example:
"64943c51-e4ff-4e57-9558-08cab6b96352"
A short string representing the sub-type of the reward. This will be used as the subtype of the resulting transaction.
Available options:
ACCOUNT_OPENING_BONUS, ACCOUNT_OPENING_BONUS_REVERSAL, CASHBACK, CASHBACK_REVERSAL, INTEREST_RATE_BONUS, INTEREST_RATE_BONUS_REVERSAL, LOAN_INTEREST_RATE_REDUCTION, LOAN_INTEREST_RATE_REDUCTION_REVERSAL, MANUAL_ADJUSTMENT, MANUAL_ADJUSTMENT_REVERSAL, MILES, MILES_REVERSAL, MISCELLANEOUS, MISCELLANEOUS_REVERSAL, POINTS, POINTS_REVERSAL, REFERRAL_BONUS, REFERRAL_BONUS_REVERSAL Was this page helpful?

